searchNodes=[{"doc":"Client library for the Shopify GraphQL Admin API .","ref":"ShopQL.html","title":"ShopQL","type":"module"},{"doc":"Like query/3 , except raises ShopQL.Error if an error occurs.","ref":"ShopQL.html#query!/3","title":"ShopQL.query!/3","type":"function"},{"doc":"Submits a query to the Shopify Admin GraphQL API . Returns {:ok, body} or {:error, body} . Options :access_token - Required. Shopify access token. :api_version - Required. Shopify API version, like 2022-07 . :max_attempts - Maximum number of attempts to make. You should only increase this value when making an idempotent request. The default value is 1 . :max_attempts_rate_limit - Maximum number of attempts to make. This only applies when Shopify returns an error indicating that the rate limit has been exceeded. The default value is 3 . :min_retry_delay - Delay in ms between failed attempts. The delay will be doubled after each subsequent retry. For example, if set to 500 the first delay will be 500ms, the second 1000ms, and the third 2000ms. This doesn't apply when a rate limit error occurs. The default value is 500 . :shop_name - Required. Your Shopify domain is &lt;shop_name&gt;.myshopify.com . Retries after error The retry logic depends upon the type of error. A warnings will be logged whenever a request is retried. Connection errors like a 5xx HTTP response or timeout - Request will be retried up to :max_attempts times. For this type of error we don't know whether or not Shopify ran the query. Therefore, only increase :max_attempts if you are running an idempotent query. The :min_retry_delay setting applies in this case. Rate limit exceeded error - Failed request will be retried up to :max_attempts_rate_limit times. For this type of error we know that Shopify didn't run the query so it is safe to retry even if your query is not idempotent. Will delay between requests for enough time for Shopify's cost points to be fully replenished. GraphQL error (&quot;errors&quot; key in response) - Request will never be retried because this type of error generally means that your request is invalid and if we retry we'll just get the same error again.","ref":"ShopQL.html#query/3","title":"ShopQL.query/3","type":"function"},{"doc":"","ref":"ShopQL.Error.html","title":"ShopQL.Error","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"ShopQL.Error.html#message/1","title":"ShopQL.Error.message/1","type":"function"},{"doc":"Simple Shopify GraphQL client for Elixir.","ref":"readme.html","title":"ShopQL","type":"extras"},{"doc":"The package can be installed by adding shopql to your list of dependencies in mix.exs : def deps do [ { :shopql , &quot;~&gt; 0.2.0&quot; } ] end","ref":"readme.html#installation","title":"ShopQL - Installation","type":"extras"},{"doc":"See the docs .","ref":"readme.html#usage","title":"ShopQL - Usage","type":"extras"},{"doc":"This library supports retrying failed requests. The default settings are safe regardless of whether or not your query is idempotent. See ShopQL.query/3 for details.","ref":"readme.html#retrying-failed-requests","title":"ShopQL - Retrying failed requests","type":"extras"},{"doc":"This library does not attemp to preventatively throttle requests to avoid Shopify's rate limit. You're application is responsible for this.","ref":"readme.html#request-throttling","title":"ShopQL - Request throttling","type":"extras"}]